<?
require_once '../core/system.php';
echo only_reg();
$header = 'Колдун';
require_once H.'core/head.php';
switch($buy) {
case 'potion':
if (check(isset($_GET['back']))) {
$back = $_GET['back'];
$back_url = $back;
} elseif (!isset($_GET['back'])) {
$back_url = 'wizard';
}
if($user[gold] < 199){
header('Location: /'.$back_url.'');
$_SESSION['err'] = 'Недостаточно золота!';
exit();
}else{
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']-200)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `mana` = '".($user['max_mana'])."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `health` = '".($user['max_health'])."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: /'.$back_url.'');
$_SESSION['message'] = 'Мана и Здоровие успешно пополнены!';
exit();
}
break;
default;
echo "<div class='player center'>";
echo "<img src='/images/town/wizard.png' width='150' height='70'>";
echo "</div>";
echo "<div class='mini-line'></div>";
echo "<div class='block_zero'><img src='/images/alchemy/potion.png' alt='' width='50' height='50' style='float:left;margin-right:3px;margin-top:3px;'/><b>Настойка бодрости</b><br/><span class='medium'>+100% маны и жизни</span><div style='clear:both;'></div><div class='center'><a class='btn' href='?buy=potion'><span class='end'><span class='label'>Активировать</span></span></a><br/><span class='grey'>Цена: <img src='/images/icon/gold.png' alt=''/>200 золота</span></div></div><div class='mini-line'></div><ul class='hint'><li>Настойка, продаваемая у колдуна, активируются сразу и восстанавливает силы вашего персонажа</li><li>Выше максимального значения, мана и здоровье не восстанавливается</li></ul>";

}

require_once H.'core/foot.php';
?>